Subject: Re: [BUG] skge 0000:02:05: read data parity error

From: Adrian Bunk <[email-masked]>
Date: Mon, 14 Jan 2008 23:52:09 +0200

On Mon, Jan 14, 2008 at 10:41:52PM +0100, Oliver Pinter (Pintér Olivér) wrote:
> On 1/14/08, Adrian Bunk <[email-masked]> wrote:
> > On Mon, Jan 14, 2008 at 10:31:03PM +0100, Oliver Pinter (Pintér Olivér)
> > wrote:
> > > I think, it is a potential security breakpoint, when applications with
> > > root permission its read, then a machine is freezed, or only i thin
> > > it's?
> >
> > When you are root there are infinite ways to kill your machine, so
> > there's nothing security related about this issue.
> 
> Yes, i know, but when some application or daemons read some file with
> running root privileges, then ...
> 
> thanks, then it is only a "feature" and not bug.

It might be a bug in the application.

But there are worse things than crashing your machine (e.g. getting your 
/etc/shadow) that can happen when someone with bad intentions can read 
files with root privileges.

> Thanks,
> Oliver

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed